Table of Contents

Class: ProcessProtocol | Twisted-0.17.4/twisted/protocols/protocol.py
--- | ---

### Processes have some additional methods besides receiving data.

data and connection methods from Protocol are used for stdout, but stderr and process signals are supported below.

Base Classes |
--- | ---
Protocol

Methods |
--- | ---
errConnectionLost errReceived processEnded
| errConnectionLost

    errConnectionLost ( self )

This will be called when stderr is closed.

| errReceived

    errReceived ( self,  data )

Some data was received from stderr.

| processEnded

    processEnded ( self )

This will be called when the subprocess is finished.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0